
%define plugin	atmo
%define Plugin	atmolight
%define name	vdr-plugin-%plugin
%define version	0.0.1
%define rel	16

Summary:	VDR plugin: Atmolight-Plugin
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://www.edener.de/
Source:		http://www.edener.de/%Plugin.tar.bz2
Patch1:		atmolight-0.0.1-i18n-1.6.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	dos2unix
Requires:	vdr-abi = %vdr_abi

%description
Atmolight-plugin for VDR.

See http://www.vdr-wiki.de/wiki/index.php/Atmolight-plugin for
details.

%prep
%setup -q -n %Plugin-%version
dos2unix HISTORY firmware/Makefile firmware/main.hex
%patch1 -p1
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# send atmolight-data over network (e.g. 192.168.0.1:1234)
var=NETWORK_TARGET
param=--net=NETWORK_TARGET
# send atmolight-data to serial device (e.g. /dev/ttyS1)
var=SERIAL_DEVICE
param=--serial=SERIAL_DEVICE
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY firmware eagle




%changelog
* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.0.1-16mdv2009.0
+ Revision: 197898
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.0.1-15mdv2009.0
+ Revision: 197629
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.1-14mdv2008.1
+ Revision: 145023
- rebuild for new vdr

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.1-13mdv2008.1
+ Revision: 144974
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.0.1-12mdv2008.1
+ Revision: 103058
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.1-11mdv2008.0
+ Revision: 49967
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.1-10mdv2008.0
+ Revision: 42054
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.1-9mdv2008.0
+ Revision: 22702
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1-8mdv2007.0
+ Revision: 90889
- rebuild for new vdr

* Fri Nov 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1-7mdv2007.1
+ Revision: 86899
- rebuild

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1-6mdv2007.1
+ Revision: 73949
- rebuild for new vdr
- Import vdr-plugin-atmo

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1-5mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1-4mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1-2mdv2007.0
- rebuild for new vdr

* Wed Jun 21 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1-1mdv2007.0
- initial Mandriva release

